//
//  MoreNeighborsSelectedBadge.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 02/06/2025.
//

import SwiftUI

struct MoreNeighborsSelectedBadge: View {
    @Binding var selectedNeighbors: Int

    var body: some View {
        HStack(alignment: .center, spacing: 10) {
            SQText("+\(selectedNeighbors)")
                .sqFont(.bold)
                .sqColor(.sqNeutral(50))
        }
        .frame(width: 32, height: 32, alignment: .center)
        .background(Color.sqNeutral(20))
        .cornerRadius(80)
    }
}

#Preview {
    MoreNeighborsSelectedBadge(selectedNeighbors: .constant(6))
}
